FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Namespaces | Functions
linear_gradient.cpp File Reference

Go to the source code of this file.

## Namespaces
namespace | ftxui
| The FTXUI ftxui:: namespace.

## Functions
Element | color (const LinearGradient &gradient, Element child)
| Set the foreground color of an element with linear-gradient effect.
Element | bgcolor (const LinearGradient &gradient, Element child)
| Set the background color of an element with linear-gradient effect.
Decorator | color (const LinearGradient &gradient)
| Decorate using a linear-gradient effect on the foreground color.
Decorator | bgcolor (const LinearGradient &gradient)
| Decorate using a linear-gradient effect on the background color.

## Variable Documentation

## ◆ angle

float angle = 0.F

Definition at line 23 of file src/ftxui/dom/linear_gradient.cpp.

## ◆ colors

std::vector<Color> colors

Definition at line 24 of file src/ftxui/dom/linear_gradient.cpp.

## ◆ positions

std::vector<float> positions

Definition at line 25 of file src/ftxui/dom/linear_gradient.cpp.